Page 5 of 13

Re: macOS 10.15 Catalina compatibility

Posted: Tue Jan 07, 2020 8:24 pm
by oratowsky
Divarre wrote:
oratowsky wrote:Hi,

does anybody know how to get DCAM synth squad onto Catalina? The installer is greyed out...

asked support a week ago with no response ...

I assume it is possible as the plugin themselves are 64 bit and I think just the installer script doesn't work..

Strobe is a bread and butter plugin for me and because of time critical projects I purchased Strobe2, but Strobe2 doesn't behave or sound the same :( :( :(


I really like Amber and managed to get them working on Catalina. I installed DCAM on macOS 10.14 (or earlier) and then copied all the files over to Catalina. They're 64-bit plug-ins and run fine. The issue is just with their installer.

Here are the folders/files I've copied over. Hope I didn't forget any, I just did this as I was reinstalling my computer after upgrading to Catalina and wasn't paying much attention. Just copy these folders from the hard drive running macOS 10.14 or earlier to the new hard drive running Catalina.

/Library/Application Support/FXpansion/DCAM Synth Squad
/Library/Application Support/FXpansion/Amber
/Library/Application Support/FXpansion/AmberFX
/Library/Application Support/FXpansion/Cypher
/Library/Application Support/FXpansion/CypherFX
/Library/Application Support/FXpansion/Fusor
/Library/Application Support/FXpansion/Strobe
/Library/Application Support/FXpansion/StrobeFX

~/Library/Application Support/fxpansion/DCAM Synth Squad
~/Library/Application Support/fxpansion/Amber
~/Library/Application Support/fxpansion/AmberFX
~/Library/Application Support/fxpansion/Cypher
~/Library/Application Support/fxpansion/CypherFX
~/Library/Application Support/fxpansion/Fusor
~/Library/Application Support/fxpansion/Strobe
~/Library/Application Support/fxpansion/StrobeFX

/Library/Audio/Plug-Ins/Components/Amber.component
/Library/Audio/Plug-Ins/Components/AmberFX.component
/Library/Audio/Plug-Ins/Components/Cypher.component
/Library/Audio/Plug-Ins/Components/CypherFX.component
/Library/Audio/Plug-Ins/Components/Fusor.component
/Library/Audio/Plug-Ins/Components/Strobe.component
/Library/Audio/Plug-Ins/Components/StrobeFX.component

(or the ones in the VST folder if you're using the VST versions)

~/Documents/fxpansion/AmberFX
~/Documents/fxpansion/Amber
~/Documents/fxpansion/Cypher
~/Documents/fxpansion/CypherFX
~/Documents/fxpansion/Fusor
~/Documents/fxpansion/Strobe
~/Documents/fxpansion/StrobeFX

I think I also reinstalled the most recent version of FX License Manager to get that working, I don't remember exactly.

Hope that helps!


Divaare, thank you so much.

This would have been the smart thing to do, but alas I do not have access to the old computer anymore. And I'm running a new 16" macbook pro and it is literally impossible to install Mojave on it.

Is there any way you could send me these folders in a wetransfer or something??? I would be eternally grateful. oratowsky@gmail.com

Re: macOS 10.15 Catalina compatibility

Posted: Thu Jan 09, 2020 9:55 pm
by Norbert Mueller
Sooo, we have to use Catalina. No BFD anymore! We've choosen Slate Digital and Addictive. I can't continue to work with a company I can't depend on. The lack of communication from FXpansion is absolutely unprofessional. I don't want to know what kind of disasters FXpansion will face in the future! :( :( :( I'm so disappointed ...

Re: macOS 10.15 Catalina compatibility

Posted: Thu Jan 09, 2020 11:30 pm
by plectrumboy
can you share any news about the progress you're making with Catalina compatibility?

Thanks,

Steve.

Re: macOS 10.15 Catalina compatibility

Posted: Fri Jan 10, 2020 1:45 am
by ZodiacPro
MacOs Catalina was released in October 7, 2019. Now, 3 months later and still no update for BFD 3. You’re not professional. Simple as that.

Re: macOS 10.15 Catalina compatibility

Posted: Fri Jan 10, 2020 9:39 am
by Lawrence_fx
Hi all,

We appreciate the frustration and inconvenience caused by the time it's taking to resolve all of the issues that affect our product range since the changes introduced with macOS Catalina.

We're continuing to work to resolve these issues, which particularly affect BFD3 content installers, including the BFD3 Core Library, BFD Expansions and BFD Groove Packs, as well as Geist Expander installers, meaning that each installer and installer part requires specific attention, which is taking more time than we had hoped. An update to the BFD3 installer itself will also be made available that allows for a successful installation to take place on macOS Catalina.

Please rest assured that we're continuing to work on these issues, to ensure that an update to all affected products can be released as soon as possible.

Re: macOS 10.15 Catalina compatibility

Posted: Fri Jan 10, 2020 8:33 pm
by plectrumboy
Okay, thanks. The only reason I'm asking is because BFD is great and I don't want to lose it.

How about a sticky and/or a weekly update about progress?

Thanks,

Steve.

Re: macOS 10.15 Catalina compatibility

Posted: Sat Jan 11, 2020 9:41 pm
by LesSand
While this has been a frustrating wait, I appreciate the response from FXpansion.

I join Steve in a request for regular updates. This is a critical issue - essentially, any user who buys a new mac (me included) for music production is now burdened with an attempt to downgrade the OS, which is extremely inconvenient and possibly risky - and downright impossible for other users, depending on the hardware they buy.

I don't want to lose my investment on what I still consider to be a great tool by a good company. Please don't make us lose trust. This has been lingering for WAY too long - it's not that such issues can only be found so close or after an OS update release. I have spent 17 years as an engineer in Microsoft Windows division in Redmond. I lived and breathed this kind of stuff.

-Ale

Re: macOS 10.15 Catalina compatibility

Posted: Mon Jan 13, 2020 10:09 am
by Lawrence_fx
We'll keep you as updated as we can regarding progress made. We're very much aware of the impact this is currently having on anyone purchasing a Mac that comes with macOS Catalina as default, as well as on existing BFD3 and FXpansion users, so we're keen to address these issues as soon as possible.

Thanks again for your patience and understanding.

Re: macOS 10.15 Catalina compatibility

Posted: Tue Jan 14, 2020 8:13 am
by tappazee
Thanks for this update. I run Geist 2 on Mojave and from what I can tell the problem is with the installers rather than the software, so I'm OK to go to Catalina as long as I don't uninstall Geist 2 and try to re-install. Is that right?

Re: macOS 10.15 Catalina compatibility

Posted: Tue Jan 14, 2020 9:26 am
by Lawrence_fx
tappazee wrote:Thanks for this update. I run Geist 2 on Mojave and from what I can tell the problem is with the installers rather than the software, so I'm OK to go to Catalina as long as I don't uninstall Geist 2 and try to re-install. Is that right?


This should be the case, yes. It's possible that Catalina will ask permission for Geist2 to access Documents or Finder the first time you launch it (so that Geist2 is able to locate and load content successfully), but otherwise you shouldn't notice any change in behaviour. If you do, please let us know.

Re: macOS 10.15 Catalina compatibility

Posted: Tue Jan 14, 2020 9:28 am
by tappazee
Great, thank you. Yes I'll write here if I encounter any problems.

Re: macOS 10.15 Catalina compatibility

Posted: Tue Jan 14, 2020 5:15 pm
by patpat
Hello
I tried to work with BFD3 on Catalina 10.15.2. The stand alone version works fine. But Logic Pro X 10.4.8 crashes at the startup with the message that BFD3 plugin prevents Logic from starting as long as the AU plugin is activated.
I hope that the developer team is aware of this issue.

Patrik

Re: macOS 10.15 Catalina compatibility

Posted: Tue Jan 14, 2020 5:20 pm
by Lawrence_fx
patpat wrote:Hello
I tried to work with BFD3 on Catalina 10.15.2. The stand alone version works fine. But Logic Pro X 10.4.8 crashes at the startup with the message that BFD3 plugin prevents Logic from starting as long as the AU plugin is activated.
I hope that the developer team is aware of this issue.

Patrik


Thanks for this report Patrik, please send any crash logs to our support team with information on how the crash occurred, and they'll be able to help. You can reach them here: https://support.roli.com/request

Could you please confirm which version of BFD3 this was occurring with?

Re: macOS 10.15 Catalina compatibility

Posted: Tue Jan 14, 2020 5:33 pm
by patpat
Unfortunately I can't send a report since I've downgraded my system back to 10.14.6 by copying it from my external harddrive using Carbon Copy Cloner. So I have lost all crash logs.
I'm using the latest version of BFD3 3.3.0.44

Re: macOS 10.15 Catalina compatibility

Posted: Wed Jan 15, 2020 2:59 pm
by patpat
I have reinstalled Catalina on an external harddrive and sent the crash logs to the support.